Name:		gssproxy
Version:	0.7.0
Release:	%mkrel 1
Summary:	GSSAPI Proxy

Group:		System/Servers
License:	MIT
URL:		https://pagure.io/gssproxy
Source0:	https://releases.pagure.org/gssproxy/%{name}-%{version}.tar.gz

%global servicename gssproxy
%global pubconfpath %{_sysconfdir}/gssproxy
%global gpstatedir %{_localstatedir}/lib/gssproxy

### Patches ###
Patch0: Properly-renew-expired-credentials.patch
Patch1: Change-impersonator-check-code.patch
Patch2: Allow-connection-to-self-when-impersonator-set.patch
Patch3: Remove-gpm_release_ctx-to-fix-double-unlock.patch
Patch4: Update-systemd-file.patch

### Dependencies ###
Requires: krb5-libs >= 1.12.0
Requires: libverto-tevent
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

### Build Dependencies ###
#BuildRequires: libxslt
#BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: krb5-devel >= 1.12.0
BuildRequires: ini_config-devel >= 1.0.0.1
BuildRequires: ref_array-devel
BuildRequires: libverto-devel
BuildRequires: keyutils-devel
BuildRequires: popt-devel
BuildRequires: findutils
BuildRequires: pkgconfig(systemd)
BuildRequires: xsltproc

%description
A proxy for GSSAPI credential handling

%prep
%setup -q
%patch0 -p2 -b .Properly-renew-expired-credentials
%patch1 -p2 -b .Change-impersonator-check-code
%patch2 -p2 -b .Allow-connection-to-self-when-impersonator-set
%patch3 -p2 -b .Remove-gpm_release_ctx-to-fix-double-unlock
%patch4 -p2 -b .Update-systemd-file

%build
%configure2_5x \
    --with-pubconf-path=%{pubconfpath} \
    --with-initscript=systemd \
    --disable-static \
    --disable-rpath \
    --with-gpp-default-behavior=REMOTE_FIRST \
    --without-selinux

%make_build
make test_proxymech

%install
%make_install

rm -f %{buildroot}%{_libdir}/gssproxy/proxymech.la

install -d -m 755 %{buildroot}%{_sysconfdir}/gssproxy
install -m 644 examples/gssproxy.conf %{buildroot}%{_sysconfdir}/gssproxy/gssproxy.conf
install -m 644 examples/99-nfs-client.conf %{buildroot}%{_sysconfdir}/gssproxy/99-nfs-client.conf

install -d -m 755 %{buildroot}%{_sysconfdir}/gss/mech.d
install -m 644 examples/mech %{buildroot}%{_sysconfdir}/gss/mech.d/gssproxy.conf

install -d -m 755 %{buildroot}%{gpstatedir}/rcache

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc COPYING
%{_unitdir}/gssproxy.service
%{_sbindir}/gssproxy
%dir %{pubconfpath}
%dir %{gpstatedir}
%attr(700,root,root) %dir %{gpstatedir}/clients
%attr(700,root,root) %dir %{gpstatedir}/rcache
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/gssproxy.conf
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/99-nfs-client.conf
%config(noreplace) /%{_sysconfdir}/gss/mech.d/gssproxy.conf
%{_libdir}/gssproxy/proxymech.so
%{_mandir}/man5/gssproxy.conf.5*
%{_mandir}/man8/gssproxy.8*
%{_mandir}/man8/gssproxy-mech.8*


%changelog
* Sun May 07 2017 guillomovitch <guillomovitch> 0.7.0-1.mga6
+ Revision: 1099525
- new version 0.7.0

* Sun Feb 19 2017 guillomovitch <guillomovitch> 0.6.2-1.mga6
+ Revision: 1086942
- new version 0.6.2

* Sat Jan 28 2017 guillomovitch <guillomovitch> 0.6.1-1.mga6
+ Revision: 1083763
- ship default service configuration files (fix #20064)
- new version 0.6.1

* Sun Jan 01 2017 guillomovitch <guillomovitch> 0.5.1-1.mga6
+ Revision: 1079482
- new version 0.5.1

* Sun Mar 20 2016 guillomovitch <guillomovitch> 0.4.1-2.mga6
+ Revision: 993248
- fix dependencies

* Sun Feb 21 2016 guillomovitch <guillomovitch> 0.4.1-1.mga6
+ Revision: 975414
- imported package gssproxy

